Subject: Re: bug#75804: 31.0.50; Enlarge or disable `ispell-help-timeout'

From: Rudolf Adamkovič <[email-masked]>
Date: Sat, 25 Jan 2025 12:20:22 +0100

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> How about increasing the timeout to 30 sec?
>
> Increasing it to 30 seconds sounds good to me.

All right folks, here is a patch!

Eli:

I apologize if my words came across as passively aggressive.  I did not
mean to criticize Emacs defaults for the sake of it, like a troll would.
Instead, I wanted to list the key defaults which caused problems, to my
kids and also my friend.  I am incredibly grateful for all your wisdom
and guidance, Eli, both of which are much greater than what I have to
offer.  Again, I apologize for my wording.

Stefan:

Thank you for your nice words!  It is crazy to _actually see_ how much
difference the defaults make to someone who is just starting.  Seeing
that struggle is downright painful, especially if you know that Emacs
could help them, and do it better than most programs.

Both:

Experts can easily customize Emacs, from helpful to minimal, but it does
not work the other way around, so the infamous "newbies should customize
..." is problematic.  Me, I think being helpful by default, instead of
minimalist, makes more sense.

Rudy
>From ed1b420a9579ac00dad0afc661373634115ed3c6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Rudolf=20Adamkovi=C4=8D?= <[email-masked]>
Date: Sat, 25 Jan 2025 11:24:34 +0100
Subject: [PATCH] Ispell: Increase help timeout

* lisp/textmodes/ispell.el (ispell-help-timeout): Increase the timeout
from 5 to 30 seconds to allow users, especially new users, read the
Ispell help menu comfortably and act confidently (bug#75754).
---
 lisp/textmodes/ispell.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/textmodes/ispell.el b/lisp/textmodes/ispell.el
index b0f4e416a6e..eca42b63023 100644
--- a/lisp/textmodes/ispell.el
+++ b/lisp/textmodes/ispell.el
@@ -402,7 +402,7 @@ ispell-local-dictionary-alist
  			       (const :tag "default" nil))
                        (coding-system :tag "Coding System"))))
 
-(defcustom ispell-help-timeout 5
+(defcustom ispell-help-timeout 30
   "The number of seconds to display the help text."
   :type 'number
   :version "28.1")
-- 
2.39.5 (Apple Git-154)

-- 
“Those who cannot remember the past are condemned to repeat it.”
--- George Santayana, Life of Reason: Reason in Common Sense, 1905

Rudolf Adamkovič <[email-masked]> [he/him]
http://adamkovic.org